##### 7.5.16.0. coHom

Procedure from library `nchomolog.lib` (see nchomolog_lib).

Usage:
  coHom(A,k); A matrix, k int

Purpose:
  compute the matrix of a homomorphism Hom(R^k,A), where R is the basering. Let A be a matrix defining a map F1-->F2 of free R-modules, then the matrix of Hom(R^k,F1)-->Hom(R^k,F2) is computed.

Note:
  Both A and Hom(A,R^k) are matrices for either left or right R-module homomorphisms

Example:

    LIB "nchomolog.lib";
    ring A=0,(x,y,z),dp;
    matrix M[3][3]=1,2,3,
    4,5,6,
    7,8,9;
    module cM = coHom(M,2);
    print(cM);
    ==> 1,0,2,0,3,0,
    ==> 0,1,0,2,0,3,
    ==> 4,0,5,0,6,0,
    ==> 0,4,0,5,0,6,
    ==> 7,0,8,0,9,0,
    ==> 0,7,0,8,0,9

User manual for Singular version 4.4.1, 2025, generated by texi2html.